Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.java.ao.builder
Enum ConnectionPool

    java.lang.Object
      java.lang.Enum<ConnectionPool>
          net.java.ao.builder.ConnectionPool

All Implemented Interfaces:
  Serializable, Comparable<ConnectionPool>, DataSourceFactory

    public enum ConnectionPool

extends Enum<ConnectionPool>
implements DataSourceFactory

Enum Constant Summary
`C3PO`
`DBCP`
`DBPOOL`
`NONE`
`PROXOOL`

Method Summary
`DisposableDataSource` | `getDataSource(Class<? extends Driver> driverClass, String url, String username, String password)`
`boolean` | `isAvailable()`
`static ConnectionPool` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConnectionPool[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### C3PO

    public static final ConnectionPool C3PO

### DBPOOL

    public static final ConnectionPool DBPOOL

### PROXOOL

    public static final ConnectionPool PROXOOL

### DBCP

    public static final ConnectionPool DBCP

### NONE

    public static final ConnectionPool NONE

Method Detail

### values

    public static final ConnectionPool[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ConnectionPool c : ConnectionPool.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ConnectionPool valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getDataSource

    public DisposableDataSource getDataSource(Class<? extends Driver> driverClass,
                                              String url,
                                              String username,
                                              String password)

  Specified by:
    `getDataSource` in interface `DataSourceFactory`

### isAvailable

    public boolean isAvailable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2007-2011. All Rights Reserved.